X2Go Bug report logs - #348
x2goserver 4.0.1.8: screws up keyboard for Mac users

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Tue, 26 Nov 2013 10:48:01 UTC

Severity: critical

Tags: pending

Merged with 481

Found in versions 4.0.1.15, 4.0.4.0, 4.0.1.8

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Tue, 26 Nov 2013 10:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 26 Nov 2013 10:48:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Anders Bruun Olsen <abo@dsl.dk>
To: X2go bugs <submit@bugs.x2go.org>
Subject: x2goserver 4.0.1.8: screws up keyboard for Mac users
Date: Tue, 26 Nov 2013 11:30:19 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.8
Severity: critical

After upgrading to x2goserver 4.0.1.8 the keyboard is completely screwed up
in x2goclient on Mac.
Downgrading x2goserver to 4.0.1.6 fixes the problem. The problem must have
been introduced in 4.0.1.7 or 4.0.1.8. Perhaps that new keyboard layout
detection?

My setup:
Server is Ubuntu 12.04 with XFCE 4.10.
Client is OSX 10.9 and I have tested with x2goclient 4.0.0.4, 4.0.1.1 and
latest git.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Tue, 26 Nov 2013 23:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 26 Nov 2013 23:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 348@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 348@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#348: x2goserver 4.0.1.8: screws up keyboard for Mac users
Date: Tue, 26 Nov 2013 23:22:30 +0000
[Message part 1 (text/plain, inline)]
Hi Anders,

On  Di 26 Nov 2013 11:30:19 CET, Anders Bruun Olsen wrote:

> Package: x2goserver
> Version: 4.0.1.8
> Severity: critical
>
> After upgrading to x2goserver 4.0.1.8 the keyboard is completely screwed up
> in x2goclient on Mac.
> Downgrading x2goserver to 4.0.1.6 fixes the problem. The problem must have
> been introduced in 4.0.1.7 or 4.0.1.8. Perhaps that new keyboard layout
> detection?
>
> My setup:
> Server is Ubuntu 12.04 with XFCE 4.10.
> Client is OSX 10.9 and I have tested with x2goclient 4.0.0.4, 4.0.1.1 and
> latest git.

can you be available on IRC tomorrow for tracking this down? There  
actually is a commit that probably has caused this, so you should  
already manually revert that commit [1] on your servers.

Sorry for this!
Mike

[1]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=a7d331d0fc0e2e1814a081d434fad5d5d1d6511a
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Wed, 27 Nov 2013 10:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Nov 2013 10:33:01 GMT) Full text and rfc822 format available.

Message #15 received at 348@bugs.x2go.org (full text, mbox):

From: Anders Bruun Olsen <abo@dsl.dk>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 348@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#348: x2goserver 4.0.1.8: screws up keyboard for Mac users
Date: Wed, 27 Nov 2013 11:13:24 +0100
[Message part 1 (text/plain, inline)]
2013/11/27 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

> After upgrading to x2goserver 4.0.1.8 the keyboard is completely screwed up
>> in x2goclient on Mac.
>> Downgrading x2goserver to 4.0.1.6 fixes the problem. The problem must have
>> been introduced in 4.0.1.7 or 4.0.1.8. Perhaps that new keyboard layout
>> detection?
>> My setup:
>> Server is Ubuntu 12.04 with XFCE 4.10.
>> Client is OSX 10.9 and I have tested with x2goclient 4.0.0.4, 4.0.1.1 and
>> latest git.
>
> can you be available on IRC tomorrow for tracking this down? There
> actually is a commit that probably has caused this, so you should already
> manually revert that commit [1] on your servers.
>

Unfortunately my schedule for wednesday is mostly full. I can be on IRC
thursday.
If you have any questions or something you want me to test, feel free to
email me. I will try to answer or test as time allows throughout the day.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Wed, 27 Nov 2013 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Nov 2013 10:48:02 GMT) Full text and rfc822 format available.

Message #20 received at 348@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>
Cc: 348@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#348: x2goserver 4.0.1.8: screws up keyboard for Mac users
Date: Wed, 27 Nov 2013 10:39:47 +0000
[Message part 1 (text/plain, inline)]
Hi Anders,

On  Mi 27 Nov 2013 11:13:24 CET, Anders Bruun Olsen wrote:

> 2013/11/27 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>
>> After upgrading to x2goserver 4.0.1.8 the keyboard is completely screwed up
>>> in x2goclient on Mac.
>>> Downgrading x2goserver to 4.0.1.6 fixes the problem. The problem must have
>>> been introduced in 4.0.1.7 or 4.0.1.8. Perhaps that new keyboard layout
>>> detection?
>>> My setup:
>>> Server is Ubuntu 12.04 with XFCE 4.10.
>>> Client is OSX 10.9 and I have tested with x2goclient 4.0.0.4, 4.0.1.1 and
>>> latest git.
>>
>> can you be available on IRC tomorrow for tracking this down? There
>> actually is a commit that probably has caused this, so you should already
>> manually revert that commit [1] on your servers.
>>
>
> Unfortunately my schedule for wednesday is mostly full. I can be on IRC
> thursday.
> If you have any questions or something you want me to test, feel free to
> email me. I will try to answer or test as time allows throughout the day.


please revert commit [1] in your running server and check if the  
keyboard issues are gone again then. If that is the crucial code  
snippet, then I will comment out that part for now and make a new  
bugfix release.

[1]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=blobdiff;f=x2goserver/bin/x2gostartagent;h=932c051229a08606d3a56e2b13cd9083b418b404;hp=e13736899511fea722e8a69e60015f3b8b067948;hb=bb53cc7514668c05673040ad1ac1dd36683bf8c7;hpb=ce2dadab56420e9d5563e19564b04699cd7e9615


Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Thu, 28 Nov 2013 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 12:18:02 GMT) Full text and rfc822 format available.

Message #25 received at 348@bugs.x2go.org (full text, mbox):

From: Anders Bruun Olsen <abo@dsl.dk>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 348@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#348: x2goserver 4.0.1.8: screws up keyboard for Mac users
Date: Thu, 28 Nov 2013 13:06:13 +0100
[Message part 1 (text/plain, inline)]
Hi Mike,

Reverting that commit fixes the problem.


2013/11/27 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

> Hi Anders,
>
>
> On  Mi 27 Nov 2013 11:13:24 CET, Anders Bruun Olsen wrote:
>
>  2013/11/27 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
>>
>>  After upgrading to x2goserver 4.0.1.8 the keyboard is completely screwed
>>> up
>>>
>>>> in x2goclient on Mac.
>>>> Downgrading x2goserver to 4.0.1.6 fixes the problem. The problem must
>>>> have
>>>> been introduced in 4.0.1.7 or 4.0.1.8. Perhaps that new keyboard layout
>>>> detection?
>>>> My setup:
>>>> Server is Ubuntu 12.04 with XFCE 4.10.
>>>> Client is OSX 10.9 and I have tested with x2goclient 4.0.0.4, 4.0.1.1
>>>> and
>>>> latest git.
>>>>
>>>
>>> can you be available on IRC tomorrow for tracking this down? There
>>> actually is a commit that probably has caused this, so you should already
>>> manually revert that commit [1] on your servers.
>>>
>>>
>> Unfortunately my schedule for wednesday is mostly full. I can be on IRC
>> thursday.
>> If you have any questions or something you want me to test, feel free to
>> email me. I will try to answer or test as time allows throughout the day.
>>
>
>
> please revert commit [1] in your running server and check if the keyboard
> issues are gone again then. If that is the crucial code snippet, then I
> will comment out that part for now and make a new bugfix release.
>
> [1] http://code.x2go.org/gitweb?p=x2goserver.git;a=blobdiff;f=
> x2goserver/bin/x2gostartagent;h=932c051229a08606d3a56e2b13cd90
> 83b418b404;hp=e13736899511fea722e8a69e60015f3b8b067948;hb=
> bb53cc7514668c05673040ad1ac1dd36683bf8c7;hpb=
> ce2dadab56420e9d5563e19564b04699cd7e9615
>
>
> Greets,
> Mike
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-
> netzwerkteam.de.xfb
>



-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Thu, 28 Nov 2013 12:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 12:48:02 GMT) Full text and rfc822 format available.

Message #30 received at 348@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>
Cc: 348@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#348: x2goserver 4.0.1.8: screws up keyboard for Mac users
Date: Thu, 28 Nov 2013 12:43:42 +0000
[Message part 1 (text/plain, inline)]
Hi Anders,

On  Do 28 Nov 2013 13:06:13 CET, Anders Bruun Olsen wrote:

> Reverting that commit fixes the problem.

I will then revert that commit and make a bugfix release today, latest  
tomorrow...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Thu, 28 Nov 2013 15:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 15:18:01 GMT) Full text and rfc822 format available.

Message #35 received at 348@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 348-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 348@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 28 Nov 2013 16:03:00 +0100 (CET)
tag #348 pending
fixed #348 4.0.0.7
thanks

Hello,

X2Go issue #348 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=97f2341

The issue will most likely be fixed in src:x2goserver (4.0.0.7).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 97f23415545d4fb948db44162632174c2c1a5302
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Nov 28 15:56:40 2013 +0100

    Revert keyboard workaround for Mac OS X, as it causes other issues. (Fixes: #348).

diff --git a/debian/changelog b/debian/changelog
index 44f2d36..c5005ca 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,8 @@
 x2goserver (4.0.0.7-0~x2go1) UNRELEASED; urgency=low
 
   * New upstream version (4.0.0.7):
-    - Continue development for LTS branch...
+    - Revert keyboard workaround for Mac OS X, as it causes other issues.
+      (Fixes: #348).
   * debian/source/format:
     + Switch to format 1.0.
 


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Thu, 28 Nov 2013 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 15:18:02 GMT) Full text and rfc822 format available.

Message #40 received at 348@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 348-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 348@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 28 Nov 2013 16:12:12 +0100 (CET)
tag #348 pending
fixed #348 4.0.1.9
thanks

Hello,

X2Go issue #348 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=f261224

The issue will most likely be fixed in src:x2goserver (4.0.1.9).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit f26122424320ebdb563af072fc89cc03ce8bc158
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Nov 28 16:11:03 2013 +0100

    release 4.0.1.9

diff --git a/debian/changelog b/debian/changelog
index ec88d24..2048b10 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,10 @@
-x2goserver (4.0.1.9-0x2go1) UNRELEASED; urgency=low
+x2goserver (4.0.1.9-0x2go1) unstable; urgency=low
 
-  * Continue development for release branch...
+  * Silent bugfix release (4.0.1.9):
+    - Incorporate changes from LTS release 4.0.0.7. No other changes performed
+      on this release branch. (Fixes: #348).
 
- -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Nov 2013 22:50:46 +0100
+ -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Nov 2013 16:06:44 +0100
 
 x2goserver (4.0.1.8-0~x2go1) unstable; urgency=low
 


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Thu, 28 Nov 2013 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 15:18:02 GMT) Full text and rfc822 format available.

Message #45 received at 348@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 348-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 348@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Thu, 28 Nov 2013 16:13:04 +0100 (CET)
close #348
thanks

Hello,

we are very hopeful that X2Go issue #348 reported by you
has been resolved in the new release (4.0.0.7) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.0.7)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=05feee6e69b79b66f984eb0174633a292884bd58;hp=638a08b7944463d19654d91b52e360e12bc77d4f

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.0.7-0x2go1
Status: RELEASE
Date: Thu, 28 Nov 2013 16:00:37 +0100
Fixes: 348
Changes: 
 x2goserver (4.0.0.7-0x2go1) RELEASED; urgency=low
 .
   * New bugfix upstream version (4.0.0.7):
     - Revert keyboard workaround for Mac OS X, as it causes other issues.
       (Fixes: #348).
   * debian/source/format:
     + Switch to format 1.0.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Thu, 28 Nov 2013 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 15:18:03 GMT) Full text and rfc822 format available.

Message #50 received at 348@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 348-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 348@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Thu, 28 Nov 2013 16:13:05 +0100 (CET)
close #348
thanks

Hello,

we are very hopeful that X2Go issue #348 reported by you
has been resolved in the new release (4.0.1.9) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.9)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=bae8cc5519ba07989fc18d92a17b5e0de66fd8eb;hp=a56b852b185c83dfa9b99a87fa655e8b8cd6b255

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.9-0x2go1
Status: RELEASE
Date: Thu, 28 Nov 2013 16:06:44 +0100
Fixes: 348
Changes: 
 x2goserver (4.0.1.9-0x2go1) RELEASED; urgency=low
 .
   * Silent bugfix release (4.0.1.9):
     - Incorporate changes from LTS release 4.0.0.7. No other changes performed
       on this release branch. (Fixes: #348).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 28 Nov 2013 15:18:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.0.7. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 28 Nov 2013 15:18:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.9. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 28 Nov 2013 15:18:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 28 Nov 2013 15:18:04 GMT) Full text and rfc822 format available.

Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Thu, 28 Nov 2013 15:18:04 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#348. (Thu, 28 Nov 2013 15:18:05 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#348. (Thu, 28 Nov 2013 15:18:05 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#348. (Thu, 28 Nov 2013 15:18:05 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#348. (Thu, 28 Nov 2013 15:18:06 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Thu, 05 Dec 2013 00:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Ploß <peter.ploss@fau.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 05 Dec 2013 00:03:01 GMT) Full text and rfc822 format available.

Message #77 received at 348@bugs.x2go.org (full text, mbox):

From: Peter Ploß <peter.ploss@fau.de>
To: 348@bugs.x2go.org
Cc: x2go-devs@lists.berlios.de
Subject: Bug 348
Date: Wed, 4 Dec 2013 15:52:08 -0800
Hello everybody,

I am running the x2goserver (x2goserver/precise 4.0.1.9-0~751~ubuntu12.04.1) on a Ubuntu 12.04 LTS server and try to connect from a Mac OS X Mavericks with x2goclient 4.0.1.1 and am facing the keyboard issues since I updated the server from 4.0.1.8~741.

Since then I tried many things to come back to a functioning keyboard layout, like changing the keyboard layout options on the x2go client preferences, changing settings of XQuartz 2.7.5 — all without success.

Now I even tried manually applying the patch [1], though that also didn’t help. Since it seems that this is the only change between these two versions linked to that issue, I am unsure how to proceed. 

Hopefully we are able to figure out a solution, since this is unfortunately a showstopper for Mac users.

Kind regards and thank you everybody for your help!
Peter

[1] http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=e6f2ea27d78d8db29bf7119979cc3913e42b2e6e

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#348; Package x2goserver. (Tue, 17 Dec 2013 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Babel <Daniel.Babel@fau.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 17 Dec 2013 15:18:02 GMT) Full text and rfc822 format available.

Message #82 received at 348@bugs.x2go.org (full text, mbox):

From: Daniel Babel <Daniel.Babel@fau.de>
To: 348@bugs.x2go.org
Subject: Possibly workaround for this bug
Date: Tue, 17 Dec 2013 16:06:26 +0100
Hi everybody,

we are running the x2go version 4.0.1.9 with the xfce 4.10 windows 
manager under ubuntu 12.04.3

maybe i have found a fix for the ugly bug in x2go with the mac keyboard 
error.

First:
the error shows up if we worked on our server under the xfce windows 
manager.
if we worked on the kde windows manager there's no problem with the 
keyboard.

so we solved our problem with the following steps.

we found out that the problems with the keyboard under the mac systems 
are caused by two xml files in the xfce4 conf folder.
the files that we had corrected or removed are under the path 
".config/xfce4/xfconf/xfce-perchannel-xml"

1. the keyboard-layouts.xml:
here you can configure the keyboard layout wich is used under the x11 
environment.
but if you configured the keyboard layout wrong than you have a problem 
with your keyboard under your mac.
the best thin is to remove the file or set the variable "XkbDisable" to 
"true".

2. the xfce4-keyboard-shortcuts.xml:
here are the shortcuts for some actions defined under xfce4.
if you have updated to an newer version of xfce or modified the file, 
than the best thing is to delete the file and do a logout.
when you login again, a new file with all correct statements are made.
this solved the error that typing the "d" minimized all windows on the mac

so this solved our problems and so working with a mac system under x2go 
and xfce 4.10 is possible again.

best regards
daniel babel


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 15 Jan 2014 06:24:01 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 Oct 2014 23:15:02 GMT) Full text and rfc822 format available.

Bug reopened Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 Oct 2014 23:15:02 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 4.0.0.7 and 4.0.1.9. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 Oct 2014 23:15:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.15. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 Oct 2014 23:15:02 GMT) Full text and rfc822 format available.

Merged 348 481 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 Oct 2014 23:15:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.4.0. Request was from John Pellman <John.Pellman@childmind.org> to control@bugs.x2go.org. (Tue, 01 Sep 2015 18:10:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Tue, 01 Sep 2015 20:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Pellman <John.Pellman@childmind.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 01 Sep 2015 20:35:02 GMT) Full text and rfc822 format available.

Message #101 received at 348@bugs.x2go.org (full text, mbox):

From: John Pellman <John.Pellman@childmind.org>
To: "348@bugs.x2go.org" <348@bugs.x2go.org>
Subject: Keyboard works with newer version of X11
Date: Tue, 1 Sep 2015 19:01:20 +0000
[Message part 1 (text/plain, inline)]
I was having difficulty with the keyboard working with x2go 4.0.4.0 using X11 2.6.5 on OS X (specifically, the ctrl key was not working). Changing settings in the X11 preferences did not have any effect.  Upgrading to XQuartz 2.7.7 appears to have resolved the issue for me.


John Pellman
Research Assistant
Child Mind Institute
445 Park Avenue
New York, NY 10022
e: john.pellman@childmind.org<mailto:john.pellman@childmind.org>
p: 646.625.4386

Facebook: facebook.com/ChildMindInstitute<https://webmail.childmind.org/owa/redir.aspx?C=O8QFNsfa-UyaNrHBP-cooVIPOsCxB9II5Mymj2nSkA-o-goowFRN8lAUMakQgZ36fwXhoima10Q.&URL=http%3a%2f%2ffacebook.com%2fChildMindInstitute> | Follow us on Twitter: twitter.com/ChildMindDotOrg<https://webmail.childmind.org/owa/redir.aspx?C=O8QFNsfa-UyaNrHBP-cooVIPOsCxB9II5Mymj2nSkA-o-goowFRN8lAUMakQgZ36fwXhoima10Q.&URL=http%3a%2f%2ftwitter.com%2fChildMindDotOrg>

This email message, including any attachments, is for the sole use of the intended recipient(s) and may contain information that is proprietary, confidential, and exempt from disclosure under applicable law. Any unauthorized review, use, disclosure, or distribution is prohibited. If you have received this email in error please notify the sender by return email and delete the original message. Please note, the recipient should check this email and any attachments for the presence of viruses. The organization accepts no liability for any damage caused by any virus transmitted by this email.

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Thu, 10 Sep 2015 22:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 10 Sep 2015 22:40:02 GMT) Full text and rfc822 format available.

Message #106 received at 348@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: 348@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#348: Keyboard works with newer version of X11
Date: Thu, 10 Sep 2015 16:29:25 -0600
We are seeing issue with <Tab> and p not working in XFCE 4.8.0 and 4.12.1 with
OSX x2goclient 4.0.5.0.  This appears to be due to the default mapping of
<Super><Tab> and <Super>p to keyboard shortcuts by xfce and no <Super> key
defined by XQuartz.  XFCE bug is https://bugzilla.xfce.org/show_bug.cgi?id=10760

A workaround for the OSX client is to define the Super keys in ~/.Xmodmap:

keycode 63 = Super_L
keycode 71 = Super_R

or similar.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Thu, 17 Sep 2015 17:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "America Airlines" <orders@fe125-1.hc.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 17 Sep 2015 17:05:02 GMT) Full text and rfc822 format available.

Message #111 received at 348@bugs.x2go.org (full text, mbox):

From: "America Airlines" <orders@fe125-1.hc.ru>
To: 348@bugs.x2go.org
Subject: Your order #0000660560 is approved
Date: Thu, 17 Sep 2015 19:30:30 +0300
[Message part 1 (text/plain, inline)]
Dear customer,

Your payment has been successfully processed and charged from your credit card.

Please print your e-ticket attached to this email.

Order details and e-ticket information:

FLIGHT NUMBER : JD85953
DATE & TIME : Sep 24 2015, 20:10
DEPARTING : Memphis
TOTAL PRICE : $ 440.00

Thanks for flying with America Airlines.

[America_Airlines_Ticket_0000660560.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Sat, 19 Sep 2015 00:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "America Airlines" <orders@aa.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 19 Sep 2015 00:35:01 GMT) Full text and rfc822 format available.

Message #116 received at 348@bugs.x2go.org (full text, mbox):

From: "America Airlines" <orders@aa.com>
To: 348@bugs.x2go.org
Subject: Your E-Ticket information, order #00234416
Date: Fri, 18 Sep 2015 05:30:20 -0700
[Message part 1 (text/plain, inline)]
Dear customer,

Your order was successfully processed.

Please print your e-ticket attached to this email.

Below you can find the order details and e-ticket information:

FLIGHT NUMBER / DZ304165
DATE & TIME / Sep 24 2015, 14:40
DEPARTING / Mesa
TOTAL PRICE / $ 670.00

Thank you for flying with America Airlines.

[Order_00234416.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Mon, 28 Sep 2015 04:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "America Airlines" <orders@jogadvd.pl>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 28 Sep 2015 04:50:02 GMT) Full text and rfc822 format available.

Message #121 received at 348@bugs.x2go.org (full text, mbox):

From: "America Airlines" <orders@jogadvd.pl>
To: 348@bugs.x2go.org
Subject: America Airlines E-Ticket #00627531
Date: Mon, 28 Sep 2015 06:21:53 +0200
[Message part 1 (text/plain, inline)]
Dear customer,

Your payment has been processed and your credit card has been charged.

E-Ticket is attached to this email.

Below you can find the order details and e-ticket information:

FLIGHT NUMBER : US556383
DATE & TIME : Oct 06 2015, 14:50
DEPARTING : Mesa
TOTAL PRICE : $ 450.00

Thank you for flying with America Airlines.

[00627531.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Sat, 03 Oct 2015 09:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx International Ground" <joe.donovan@catalinamh.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 03 Oct 2015 09:40:02 GMT) Full text and rfc822 format available.

Message #126 received at 348@bugs.x2go.org (full text, mbox):

From: "FedEx International Ground" <joe.donovan@catalinamh.com>
To: 348@bugs.x2go.org
Subject: We could not deliver your parcel, #00000892859
Date: Sat, 3 Oct 2015 02:10:07 -0500
[Message part 1 (text/plain, inline)]
Dear Customer,

We could not deliver your parcel.
Shipment Label is attached to this email.

Kind regards,
Joe Donovan,
FedEx Support Agent.

[00000892859.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Fri, 09 Oct 2015 08:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx 2Day" <stanley.hood@events.yourlifesecure.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Oct 2015 08:20:02 GMT) Full text and rfc822 format available.

Message #131 received at 348@bugs.x2go.org (full text, mbox):

From: "FedEx 2Day" <stanley.hood@events.yourlifesecure.com>
To: 348@bugs.x2go.org
Subject: Problems with item delivery, n.00466897
Date: Fri, 9 Oct 2015 01:18:34 -0700
[Message part 1 (text/plain, inline)]
Dear Customer,

Courier was unable to deliver the parcel to you.
Please, download Delivery Label attached to this email.

Yours faithfully,
Stanley Hood,
FedEx Delivery Manager.

[FedEx_ID_00466897.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Sat, 10 Oct 2015 08:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx Ground" <greg.ellison@198.61.245.181>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 10 Oct 2015 08:05:01 GMT) Full text and rfc822 format available.

Message #136 received at 348@bugs.x2go.org (full text, mbox):

From: "FedEx Ground" <greg.ellison@198.61.245.181>
To: 348@bugs.x2go.org
Subject: Problem with parcel shipping, ID:00489784
Date: Sat, 10 Oct 2015 07:53:39 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

This is to confirm that one or more of your parcels has been shipped.
Please, open email attachment to print shipment label.

Sincerely,
Greg Ellison,
Support Manager.

[FedEx_00489784.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Sun, 11 Oct 2015 21:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx 2Day A.M." <ben.parks@comune.camporgiano.lu.it>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 11 Oct 2015 21:40:02 GMT) Full text and rfc822 format available.

Message #141 received at 348@bugs.x2go.org (full text, mbox):

From: "FedEx 2Day A.M." <ben.parks@comune.camporgiano.lu.it>
To: 348@bugs.x2go.org
Subject: Problems with item delivery, n.000708897
Date: Sun, 11 Oct 2015 23:31:25 +0200
[Message part 1 (text/plain, inline)]
Dear Customer,

Courier was unable to deliver the parcel to you.
Delivery Label is attached to this email.

Yours trully,
Ben Parks,
Delivery Manager.

[000708897.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Tue, 08 Dec 2015 05:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Interfax Online" <incoming@interfax.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 08 Dec 2015 05:20:02 GMT) Full text and rfc822 format available.

Message #146 received at 348@bugs.x2go.org (full text, mbox):

From: "Interfax Online" <incoming@interfax.net>
To: 348@bugs.x2go.org
Subject: You have received a new fax, document 00000756512
Date: Mon, 7 Dec 2015 23:15:05 -0600
[Message part 1 (text/plain, inline)]
New incoming fax document.

Please check your fax document in the attachment to this e-mail.

Processed in:          11 seconds
File name:             fax_00000756512.doc
Date:                  Mon, 7 Dec 2015 21:01:09 +0300
File size:             254 Kb
Pages:                 9
Scanned by:            Rodney Baker
Resolution:            100 DPI

Thank you for using Interfax!

[fax_00000756512.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Sun, 20 Dec 2015 18:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Interfax Online" <incoming@interfax.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Dec 2015 18:25:02 GMT) Full text and rfc822 format available.

Message #151 received at 348@bugs.x2go.org (full text, mbox):

From: "Interfax Online" <incoming@interfax.net>
To: 348@bugs.x2go.org
Subject: You have 1 new fax, document 00633489
Date: Sun, 20 Dec 2015 19:24:02 +0100
[Message part 1 (text/plain, inline)]
You have received a new fax.

Please, download fax document attached to this email.

File size:       126 Kb
Fax name:        task00633489.doc
Scan quality:    400 DPI
Scanned:         Sun, 20 Dec 2015 19:46:34 +0300
Pages number:    5
Scan duration:   29 seconds
Scanned by:      Calvin Swartz

Thank you for using Interfax!

[task00633489.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Tue, 22 Dec 2015 19:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Interfax Online" <incoming@interfax.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 22 Dec 2015 19:10:02 GMT) Full text and rfc822 format available.

Message #156 received at 348@bugs.x2go.org (full text, mbox):

From: "Interfax Online" <incoming@interfax.net>
To: 348@bugs.x2go.org
Subject: You have received a new fax, document 000139009
Date: Tue, 22 Dec 2015 11:58:03 -0600
[Message part 1 (text/plain, inline)]
A new fax document for you.

Please, download fax document attached to this email.

Date of scan:       Tue, 22 Dec 2015 20:32:26 +0300
Quality:            300 DPI
Filename:           fax000139009.doc
File size:          266 Kb
Scan time:          45 seconds
Sender:             Dustin Murray
Number of pages:    9

Thanks for choosing Interfax!

[fax000139009.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Thu, 13 Oct 2016 21:35:01 GMT) Full text and rfc822 format available.

Message #159 received at 348-submit@bugs.x2go.org (full text, mbox):

From: "FedEx Standard Overnight" <angel.swartz@floydskerenandkelly.net>
To: 348-submit@bugs.x2go.org
Subject: Courier was unable to deliver the parcel, ID000988754
Date: Thu, 13 Oct 2016 17:26:11 -0400
[Message part 1 (text/plain, inline)]
Dear Customer,

Your parcel has arrived at October 12. Courier was unable to deliver the parcel to you.
Delivery Label is attached to this email.

Thanks and best regards,
Angel Swartz,
FedEx Station Agent.

[Delivery_Notification_000988754.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Sat, 15 Oct 2016 07:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx 2Day A.M." <kyle.finch@chelseaandchelsea.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 15 Oct 2016 07:00:03 GMT) Full text and rfc822 format available.

Message #164 received at 348-submit@bugs.x2go.org (full text, mbox):

From: "FedEx 2Day A.M." <kyle.finch@chelseaandchelsea.com>
To: 348-submit@bugs.x2go.org
Subject: Unable to deliver your item, #000214241
Date: Sat, 15 Oct 2016 06:58:29 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

We could not deliver your item.
Shipment Label is attached to email.

Yours faithfully,
Kyle Finch,
FedEx Operation Manager.

[FedEx_000214241.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Sat, 15 Oct 2016 14:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx SmartPost" <ronnie.prince@maheklightzone.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 15 Oct 2016 14:40:02 GMT) Full text and rfc822 format available.

Message #169 received at 348-submit@bugs.x2go.org (full text, mbox):

From: "FedEx SmartPost" <ronnie.prince@maheklightzone.com>
To: 348-submit@bugs.x2go.org
Subject: Problem with parcel shipping, ID:00580035
Date: Sat, 15 Oct 2016 14:36:14 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

Your parcel has arrived at October 11. Courier was unable to deliver the parcel to you.
Delivery Label is attached to this email.

Warm regards,
Ronnie Prince,
FedEx Operation Agent.

[FedEx_00580035.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Thu, 06 Jul 2017 22:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to iphallco@box537.bluehost.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 06 Jul 2017 22:45:02 GMT) Full text and rfc822 format available.

Message #174 received at 348-submit@bugs.x2go.org (full text, mbox):

From: iphallco@box537.bluehost.com
To: 348-submit@bugs.x2go.org
Subject: Parcel ID03275080 delivery problems, please review
Date: Thu, 6 Jul 2017 16:39:59 -0600
[Message part 1 (text/plain, inline)]
Dear Customer,

We can not deliver your parcel arrived at July 06.

Please check the attachment for details!

Respectfully yours,
 ,
UPS Senior Office Manager.

[UPS-Package-03275080.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Wed, 14 Nov 2018 03:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to venerabl966385@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 14 Nov 2018 03:50:02 GMT) Full text and rfc822 format available.

Message #179 received at 348@bugs.x2go.org (full text, mbox):

From: venerabl966385@gmail.com
To: 348@bugs.x2go.org
Subject: 大数据时代-年轻外贸个人及企业成功法则
Date: Wed, 14 Nov 2018 03:46:09 +0000
[Message part 1 (text/plain, inline)]
I've invited you to fill in the following form:
大数据时代-年轻外贸个人及企业成功法则

To fill it in, visit:
https://docs.google.com/forms/d/e/1FAIpQLSfyHjSk0Ru89Ox9PsO-FMY4pnF4_PvwJHgjp4xsNhtAfCgC9w/viewform?vc=0&amp;c=0&amp;w=1&amp;usp=mail_form_link

I&#39;ve invited you to fill in a form:

Google Forms: Create and analyse surveys.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#348; Package x2goserver. (Wed, 14 Nov 2018 04:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 5237616slxpbk@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 14 Nov 2018 04:35:03 GMT) Full text and rfc822 format available.

Message #184 received at 348@bugs.x2go.org (full text, mbox):

From: 5237616slxpbk@gmail.com
To: 348@bugs.x2go.org
Subject: 外贸中间商合作不愉快导致海外客源丢失
Date: Wed, 14 Nov 2018 04:32:03 +0000
[Message part 1 (text/plain, inline)]
I've invited you to fill in the following form:
外贸中间商合作不愉快导致海外客源丢失

To fill it in, visit:
https://docs.google.com/forms/d/e/1FAIpQLSeYb5jompl9wPt9h_DAR5cwbEPeDga4ogZvyEAZw6-pMYL4SA/viewform?vc=0&amp;c=0&amp;w=1&amp;usp=mail_form_link

I&#39;ve invited you to fill in a form:

Google Forms: Create and analyse surveys.
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 20:32:30 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.